- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Function Functions
Embryo

Adds a native program call to the given Embryo program. More...

## Functions
EAPI Embryo_Function | embryo_program_function_find (Embryo_Program *ep, const char *name)
| Returns the function in the given program with the given name. More...

## Detailed Description

Adds a native program call to the given Embryo program.

Parameters

  ep | The given Embryo program.
  name | The name for the call used in the script.
  func | The function to use when the call is made.

Functions that deal with Embryo program functions.

## Function Documentation

EAPI Embryo_Function embryo_program_function_find | ( | Embryo_Program * | ep,
|  | const char * | name
| ) |  |

Returns the function in the given program with the given name.

Parameters

  ep | The given program.
  name | The given function name.

Returns
  The function if successful. Otherwise, `EMBRYO_FUNCTION_NONE`.

References EMBRYO_FUNCTION_NONE.